Skip to Content
Cloud MongoDB Database(UDB NVMe)ListUMongoDBMachineSpec

Get the list of machine types supported by UMongoDB - ListUMongoDBMachineSpec

Overview

Get the list of machine types supported by UMongoDB

Definition

Public Parameters

Parameter NameTypeDescription InformationRequired
ActionstringCorresponding API command name, the current API is ListUMongoDBMachineSpec.Yes
PublicKeystringThe user’s public key can be obtained from Console Yes
SignaturestringUser signature generated based on public key and API command, see Signature AlgorithmYes

Request Parameters

Parameter NameTypeDescription InformationRequired
RegionstringRegion. See List of Regions and Availability ZonesYes
ZonestringAvailability Zone. See Availability Zone ListYes
ProjectIdstringProject ID. Leave blank for the default project, sub-account must be filled in. Please refer to GetProjectList APINo
ClassTypestringMachine Model, such as ONo
DiskTypestringDisk type, such as CLOUD_RSSDNo

Response Field

Field NameTypeDescription InformationRequired
RetCodeintReturn status code. If it is 0, it means successful return. If it is not 0, it means failure.Yes
ActionstringOperation command name.Yes
MessagestringReturns an error message, providing detailed description when RetCode is non-zero.No
DataSetarray[MongodbMachineSpec]Specifications listYes

Data Model

MongodbMachineSpec

Field NameTypeDescription InformationRequired
ClassTypestringSpecification Type; O | NNo
DiskTypearray[string]Disk Type;CLOUD_RSSD | CLOUD_SSD | LOCAL_SSDNo
ComputeTypearray[MongodbMachineType]Specification ListNo
DefaultMachineTypeMongodbMachineTypeDefault SpecificationsNo

MongodbMachineType

Field NameTypeDescription InformationRequired
MachineTypeIdstringMachine type ID o.mongo2m.medium, o.mongo2m.xlargeYes
DescriptionstringConfiguration Abbreviation 2C4GYes
CpuintCPU CoresYes
MemoryintMemory Usage (GB)Yes
UHhostMachineTypestringMachine Type, N/ONo
GroupstringConfiguration Group, 2m, 4mNo

Example

Request Example

https://api.ucloud-global.com/?Action=ListUMongoDBMachineSpec &Region=cn-zj &Zone=cn-zj-01 &ProjectId=ynzFdIrt &ClassType=O N &DiskType=imLmDmDT

Response Example

{ "Action": "ListUMongoDBMachineSpecResponse", "DataSet": [ { "Cpu": 9, "Description": "gqpVxYqN", "Group": "MJEKyWSw", "MachineTypeId": "zvurmTfw", "Memory": 4, "UHhostMachineType": "JiPXjArf" } ], "RetCode": 0 }